## EDU.oswego.cs.dl.util.concurrent
Class QueuedSemaphore.WaitQueue

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.QueuedSemaphore.WaitQueue

Direct Known Subclasses:
  FIFOSemaphore.FIFOWaitQueue, PrioritySemaphore.PriorityWaitQueue

Enclosing class:
  QueuedSemaphore

    protected abstract static class QueuedSemaphore.WaitQueue

extends java.lang.Object

Base class for internal queue classes for semaphores, etc. Relies on subclasses to actually implement queue mechanics

Nested Class Summary
`protected static class` `QueuedSemaphore.WaitQueue.WaitNode`

Constructor Summary
`protected` `QueuedSemaphore.WaitQueue()`

Method Summary
`protected abstract QueuedSemaphore.WaitQueue.WaitNode` `extract()`
`protected abstract void` `insert(QueuedSemaphore.WaitQueue.WaitNode w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueuedSemaphore.WaitQueue

    protected QueuedSemaphore.WaitQueue()

Method Detail

### insert

    protected abstract void insert(QueuedSemaphore.WaitQueue.WaitNode w)

### extract

    protected abstract QueuedSemaphore.WaitQueue.WaitNode extract()